
<!DOCTYPE html>
<html lang="en"xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Login/Register</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">

    <!------ Include the above in your HEAD tag ---------->
    <link rel="stylesheet" th:href="@{/css/login.css}" href="../static/css/login.css">

</head>
<body>

<div class="login-reg-panel">
    <div class="login-info-box">
        <h2>Have an account?</h2>
        <p>Lorem ipsum dolor sit amet</p>
        <label id="label-register" for="log-reg-show">Login</label>
        <input type="radio" name="active-log-panel" id="log-reg-show"  checked="checked">
    </div>

    <div class="register-info-box">
        <h2>Don't have an account?</h2>

        <label id="label-login" for="log-login-show">Register</label>
        <input type="radio" name="active-log-panel" id="log-login-show" >
    </div>

    <div class="white-panel">
        <div class="login-show">
            <h2>LOGIN</h2>
            <p>
                <i th:if="${param.error != null}" class="error">Wrong username or password.</i>
            </p>
            <p>
                <i th:if="${param.logout}">You have been logged out.</i>
            </p>
            <form autocomplete="off"  th:action="@{/authenticate}" method="post">
            <input type="text" id="username" name="username"/>
            <input type="password" id="password" name="password"/>
            <input type="submit" value="Login"class="btn"/>

            </form>
            <a href="">Forgot password?</a>

        </div>

        <div class="register-show">
            <h2>REGISTER</h2>
            <p style="text-align: center">
                <i th:if="${error != null}" th:text="${error}" class="error"/>
            </p>
            <form autocomplete="off" action="#" th:action="@{/register}" th:object="${user}" method="post">

            <input type="text" placeholder="Username" th:field="*{userName}">
            <input type="password" placeholder="Password" th:field="*{password}">
            <input type="password" placeholder="Confirm Password"  th:field="*{passwordConfirmation}">
            <input type="submit" value="Register" class="btn">

            </form>
        </div>
    </div>
</div>

<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script th:src="@{/js/login.js}" src="../static/js/login.js"></script>
</body>
</html>